ComponentAttributeBinding (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.metamodel.binding
Class ComponentAttributeBinding

    java.lang.Object
      org.hibernate.metamodel.binding.AbstractAttributeBinding
          org.hibernate.metamodel.binding.AbstractSingularAttributeBinding
              org.hibernate.metamodel.binding.ComponentAttributeBinding

All Implemented Interfaces:
  AttributeBinding, AttributeBindingContainer, SingularAttributeBinding

    public class ComponentAttributeBinding

extends AbstractSingularAttributeBinding
implements AttributeBindingContainer

Constructor Summary
`ComponentAttributeBinding(AttributeBindingContainer container, SingularAttribute attribute)`

Method Summary
`Iterable<AttributeBinding>` | `attributeBindings()` Obtain all attribute bindings
`protected void` | `checkValueBinding()`
`AttributeContainer` | `getAttributeContainer()` Obtain the underlying domain attribute container.
`Class<?>` | `getClassReference()` Obtain the `Class` reference for this attribute container.
`Component` | `getComponent()`
`PropertyGeneration` | `getGeneration()` Obtain the generation strategy for this attribute/value.
`MetaAttributeContext` | `getMetaAttributeContext()` Obtain the meta attributes associated with this binding
`SingularAttribute` | `getParentReference()`
`String` | `getPathBase()` Obtain the path base of this container.
`boolean` | `isAssociation()`
`AttributeBinding` | `locateAttributeBinding(String name)` Locate a specific attribute binding, by its local name.
`BagBinding` | `makeBagAttributeBinding(PluralAttribute attribute, CollectionElementNature nature)` Factory method for bag attribute bindings.
`BasicAttributeBinding` | `makeBasicAttributeBinding(SingularAttribute attribute)` Factory method for basic attribute bindings.
`ComponentAttributeBinding` | `makeComponentAttributeBinding(SingularAttribute attribute)` Factory method for component attribute bindings.
`ManyToOneAttributeBinding` | `makeManyToOneAttributeBinding(SingularAttribute attribute)` Factory method for many-to-one attribute bindings.
`SetBinding` | `makeSetAttributeBinding(PluralAttribute attribute, CollectionElementNature nature)` Factory method for bag attribute bindings.
`protected void` | `registerAttributeBinding(String name, AttributeBinding attributeBinding)`
`EntityBinding` | `seekEntityBinding()` Seeks out the entity binding that is the root of this component path.
`void` | `setMetaAttributeContext(MetaAttributeContext metaAttributeContext)`
`void` | `setParentReference(SingularAttribute parentReference)`

Methods inherited from class org.hibernate.metamodel.binding.AbstractSingularAttributeBinding
`getAttribute, getSimpleValueBindings, getSimpleValueSpan, getValue, hasDerivedValue, isNullable, setSimpleValueBindings`

Methods inherited from class org.hibernate.metamodel.binding.AbstractAttributeBinding
`addEntityReferencingAttributeBinding, getContainer, getEntityReferencingAttributeBindings, getHibernateTypeDescriptor, getPropertyAccessorName, isAlternateUniqueKey, isBasicPropertyAccessor, isIncludedInOptimisticLocking, isLazy, setAlternateUniqueKey, setIncludedInOptimisticLocking, setLazy, setPropertyAccessorName, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.hibernate.metamodel.binding.AttributeBinding
`addEntityReferencingAttributeBinding, getContainer, getEntityReferencingAttributeBindings, getHibernateTypeDescriptor, getPropertyAccessorName, isAlternateUniqueKey, isBasicPropertyAccessor, isIncludedInOptimisticLocking, isLazy, setIncludedInOptimisticLocking, setPropertyAccessorName, validate`

Constructor Detail

### ComponentAttributeBinding

    public ComponentAttributeBinding(AttributeBindingContainer container,
                                     SingularAttribute attribute)

Method Detail

### seekEntityBinding

    public EntityBinding seekEntityBinding()

  Description copied from interface: `AttributeBindingContainer`
  Seeks out the entity binding that is the root of this component path.

  Specified by:
    `seekEntityBinding` in interface `AttributeBindingContainer`
  Returns:
    The entity binding

### getPathBase

    public String getPathBase()

  Description copied from interface: `AttributeBindingContainer`
  Obtain the path base of this container. Intended to help uniquely identify each attribute binding.

  Specified by:
    `getPathBase` in interface `AttributeBindingContainer`
  Returns:
    The path base for this container.

### getAttributeContainer

    public AttributeContainer getAttributeContainer()

  Description copied from interface: `AttributeBindingContainer`
  Obtain the underlying domain attribute container.

  Specified by:
    `getAttributeContainer` in interface `AttributeBindingContainer`
  Returns:
    The attribute container

### getComponent

    public Component getComponent()

### isAssociation

    public boolean isAssociation()

  Specified by:
    `isAssociation` in interface `AttributeBinding`

### getMetaAttributeContext

    public MetaAttributeContext getMetaAttributeContext()

  Description copied from interface: `AttributeBinding`
  Obtain the meta attributes associated with this binding

  Specified by:
    `getMetaAttributeContext` in interface `AttributeBinding`
  Specified by:
    `getMetaAttributeContext` in interface `AttributeBindingContainer`
  Overrides:
    `getMetaAttributeContext` in class `AbstractAttributeBinding`
  Returns:
    The meta attributes

### setMetaAttributeContext

    public void setMetaAttributeContext(MetaAttributeContext metaAttributeContext)

  Overrides:
    `setMetaAttributeContext` in class `AbstractAttributeBinding`

### locateAttributeBinding

    public AttributeBinding locateAttributeBinding(String name)

  Description copied from interface: `AttributeBindingContainer`
  Locate a specific attribute binding, by its local name.

  Specified by:
    `locateAttributeBinding` in interface `AttributeBindingContainer`
  Parameters:
    `name` - The name of the attribute, local to this container.
  Returns:
    The attribute binding.

### attributeBindings

    public Iterable<AttributeBinding> attributeBindings()

  Description copied from interface: `AttributeBindingContainer`
  Obtain all attribute bindings

  Specified by:
    `attributeBindings` in interface `AttributeBindingContainer`
  Returns:
    All attribute bindings

### checkValueBinding

    protected void checkValueBinding()

  Overrides:
    `checkValueBinding` in class `AbstractSingularAttributeBinding`

### makeBasicAttributeBinding

    public BasicAttributeBinding makeBasicAttributeBinding(SingularAttribute attribute)

  Description copied from interface: `AttributeBindingContainer`
  Factory method for basic attribute bindings.

  Specified by:
    `makeBasicAttributeBinding` in interface `AttributeBindingContainer`
  Parameters:
    `attribute` - The attribute for which to make a binding.
  Returns:
    The attribute binding instance.

### registerAttributeBinding

    protected void registerAttributeBinding(String name,
                                            AttributeBinding attributeBinding)

### makeComponentAttributeBinding

    public ComponentAttributeBinding makeComponentAttributeBinding(SingularAttribute attribute)

  Description copied from interface: `AttributeBindingContainer`
  Factory method for component attribute bindings.

  Specified by:
    `makeComponentAttributeBinding` in interface `AttributeBindingContainer`
  Parameters:
    `attribute` - The attribute for which to make a binding.
  Returns:
    The attribute binding instance.

### makeManyToOneAttributeBinding

    public ManyToOneAttributeBinding makeManyToOneAttributeBinding(SingularAttribute attribute)

  Description copied from interface: `AttributeBindingContainer`
  Factory method for many-to-one attribute bindings.

  Specified by:
    `makeManyToOneAttributeBinding` in interface `AttributeBindingContainer`
  Parameters:
    `attribute` - The attribute for which to make a binding.
  Returns:
    The attribute binding instance.

### makeBagAttributeBinding

    public BagBinding makeBagAttributeBinding(PluralAttribute attribute,
                                              CollectionElementNature nature)

  Description copied from interface: `AttributeBindingContainer`
  Factory method for bag attribute bindings.

  Specified by:
    `makeBagAttributeBinding` in interface `AttributeBindingContainer`
  Parameters:
    `attribute` - The attribute for which to make a binding.
    `nature` - The nature of the collection elements.
  Returns:
    The attribute binding instance.

### makeSetAttributeBinding

    public SetBinding makeSetAttributeBinding(PluralAttribute attribute,
                                              CollectionElementNature nature)

  Description copied from interface: `AttributeBindingContainer`
  Factory method for bag attribute bindings.

  Specified by:
    `makeSetAttributeBinding` in interface `AttributeBindingContainer`
  Parameters:
    `attribute` - The attribute for which to make a binding.
    `nature` - The nature of the collection elements.
  Returns:
    The attribute binding instance.

### getClassReference

    public Class<?> getClassReference()

  Description copied from interface: `AttributeBindingContainer`
  Obtain the `Class` reference for this attribute container. Generally this is used to perform reflection on the attributes.

  Specified by:
    `getClassReference` in interface `AttributeBindingContainer`
  Returns:
    The `Class` reference

### getParentReference

    public SingularAttribute getParentReference()

### setParentReference

    public void setParentReference(SingularAttribute parentReference)

### getGeneration

    public PropertyGeneration getGeneration()

  Description copied from interface: `SingularAttributeBinding`
  Obtain the generation strategy for this attribute/value.

  Specified by:
    `getGeneration` in interface `SingularAttributeBinding`
  Returns:
    The generation strategy

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.